Skip to main content
`Ctrl`+`K`

# MFN

SLEPc object that encapsulates the functionality for matrix functions, more precisely the action of a matrix function on a vector, \(y=f(A)v\).

## Synopsis

    typedef struct _p_MFN* MFN;

## See Also

MFN: Matrix Function, `MFNCreate()`

## Level

beginner

## Location

include/slepcmfn.h

## Examples

src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
src/mfn/tutorials/ex23f.F90
src/eps/tutorials/ex36.c

## Implementations

_p_MFN in include/slepc/private/mfnimpl.h

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages